Page MenuHomePhabricator

VE Map polygon draw does not close polygon on first point click
Closed, ResolvedPublic

Description

In Visual editor, when editing a map and adding a polygon, the hint tells me that clicking first drawn point will stop the polygon, but instead it keeps adding more points.

Event Timeline

Yurik created this task.Apr 29 2016, 4:12 PM
Restricted Application added a project: Discovery. · View Herald TranscriptApr 29 2016, 4:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I could not reproduce on my machine, but it is still reproducible on @Yurik's machine. One weird difference between us is the size of the point, much bigger on @Yurik's machine than on mine.

The size of the point is determined by leaflet.draw in JavaScript, so I assume there is something weird with the library. However, @Yurik does not have that issue on geojson.io editor: the point size is the expected small size.

More investigation needs to be done.

Yurik removed a project: Maps.Dec 15 2016, 4:40 AM

Change 468504 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Kartographer@master] Update Leaflet.draw to v1.0.3

https://gerrit.wikimedia.org/r/468504

Change 468504 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update Leaflet.draw to v1.0.3

https://gerrit.wikimedia.org/r/468504

matmarex closed this task as Resolved.Oct 19 2018, 8:25 PM
matmarex claimed this task.
matmarex added a project: VisualEditor.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 19 2018, 8:25 PM